﻿//===============================================================================
// Microsoft patterns & practices
// Guidance on Building a Release Pipeline with Team Foundation Server
//===============================================================================
// Copyright © Microsoft Corporation.  All rights reserved.
// This code released under the terms of the 
// Microsoft patterns & practices license (http://dataguidance.codeplex.com/license)
//===============================================================================


namespace TreyResearch.WcfService.Tests
{
    using System;
    using System.Collections.Generic;
    using TreyResearch.WcfService;
    using TreyResearch.WcfService.Store;

    internal static class TestHarness
    {
        internal static IEnumerable<SensorReading> GenerateAndStoreReadings(
            ISensorReadingStore store, int count, Func<int, int> genMethod, string clientId = null)
        {
            ICollection<SensorReading> readings = new List<SensorReading>();
            for (var i = 0; i < count; i++)
            {
                var sensorReading = new SensorReading
                                        {
                                            Id = genMethod(i),
                                            ClientId = !string.IsNullOrEmpty(clientId) ? clientId : null
                                        };
                readings.Add(sensorReading);
                store.Save(sensorReading);
            }

            return readings;
        }
    }
}