REM AUTOMATION HOL - This script copies the needed files from the pipeline Drop folder to the target machine and runs the MSDeploy deployment script

REM AUTOMATION HOL - Path where the deployment package is stored (the Drop location for the pipeline instance)
set packageLocation=%~1
REM AUTOMATION HOL - Name of the environment where the deployment is made. This is used to pick the corresponding parameters file from the available ones
set environment=%~2
REM AUTOMATION HOL - Name of the temporal folder to use in the target computer
set tempfolder=%~3

REM AUTOMATION HOL - Preparing the local temp directory to copy the files and run the deployment
set deploymentLocation="%tempfolder%\WcfService\%environment%"
if exist "%deploymentLocation%" rd /s /q "%deploymentLocation%"
mkdir "%deploymentLocation%"

REM AUTOMATION HOL - Copying the zip package generated by the Commit Stage, from the Drop location to the local deployment folder
copy "%packageLocation%\Release\_PublishedWebsites\TreyResearch.WcfService_Package\TreyResearch.WcfService.zip" "%deploymentLocation%"
REM AUTOMATION HOL - Copying the MSDeploy deployment script that was auto-generated by the publish operation in the Commit Stage, from the Drop location to the local deployment folder
copy "%packageLocation%\Release\_PublishedWebsites\TreyResearch.WcfService_Package\TreyResearch.WcfService.deploy.cmd" "%deploymentLocation%"
REM AUTOMATION HOL - Copying the parameters file that tells the MSDeploy deployment script what to change in the Web.config file during deployment
REM AUTOMATION HOL - We pick the one corresponding to the environment where the deployment is being done, and rename it to match the name that the MSDeploy recognizes as a parameters file
copy "%packageLocation%\Release\ConfigFiles\WcfService\EnvironmentConfiguration.%environment%.xml" "%deploymentLocation%\TreyResearch.WcfService.SetParameters.xml"

REM AUTOMATION HOL - Running the deployment over the Web Server
REM AUTOMATION HOL - The /Y switch tells the script to actually perform the deployment
REM AUTOMATION HOL - The script deploys the services over the configured IIS Website
REM AUTOMATION HOL - The script will also transform the final Web.config with any parameter contained in TreyResearch.Cloud.WcfService.WebRole.SetParameters.xml
cd "%deploymentLocation%"
TreyResearch.WcfService.deploy.cmd /Y
