﻿//===============================================================================
// Microsoft patterns & practices
// Guidance on Building a Release Pipeline with Team Foundation Server
//===============================================================================
// Copyright © Microsoft Corporation.  All rights reserved.
// This code released under the terms of the 
// Microsoft patterns & practices license (http://dataguidance.codeplex.com/license)
//===============================================================================


namespace TreyResearch.WcfService
{
    using System;
    using System.Collections.Generic;
    using System.Runtime.Serialization;
    using System.ServiceModel;

    [ServiceContract]
    public interface ISensorReadingService
    {
        [OperationContract]
        ResultPage<SensorReading> GetSensorReadingsPage(string clientId, int page);

        [OperationContract]
        ResultPage<SensorReading> GetSensorReadings(string clientId);

        [OperationContract]
        void StoreSensorReading(SensorReading reading);
    }

    // Use a data contract as illustrated in the sample below to add composite types to service operations.
    // You can add XSD files into the project. After building the project, you can directly use the data types defined there, with the namespace "TreyResearch.WcfCommunicationLibrary.ContractType".
    [DataContract]
    public class SensorReading
    {
        [DataMember]
        public int Id { get; set; }

        [DataMember]
        public DateTime CreateDate { get; set; }

        [DataMember]
        public string ClientId { get; set; }
    }

    [DataContract]
    public class ResultPage<T>
    {
        [DataMember]
        public int TotalCount { get; set; }

        [DataMember]
        public int PageNumber { get; set; }

        [DataMember]
        public IEnumerable<T> Results { get; set; }
    }
}
