REM AUTOMATION HOL - This script copies the msi installer for the new version and environment, and runs it 

REM AUTOMATION HOL - Path where the deployment package is stored (the Drop location for the pipeline instance)
set packageLocation=%~1
REM AUTOMATION HOL - Name of the environment where the deployment is made. This is used to pick the corresponding installer from the available ones
set environment=%~2
REM AUTOMATION HOL - Name of the temporal folder to use in the target computer
set tempfolder=%~3

REM AUTOMATION HOL - Preparing the local temp directory to copy the installer and run the deployment and store log files
set deploymentLocation=%tempfolder%\WpfClient\%environment%
if exist "%deploymentLocation%" rd /s /q "%deploymentLocation%"
mkdir "%deploymentLocation%"

REM AUTOMATION HOL - Copying the msi installer to the deployment location (the one corresponding to the target environment).
copy "%packageLocation%\Release\Deployment\WpfClient\Installers\%environment%\TreyResearch.WpfClient.Setup.msi" "%deploymentLocation%"

REM AUTOMATION HOL - Running the deployment
msiexec.exe /i "%deploymentLocation%\TreyResearch.WpfClient.Setup.msi" /Lv* "%deploymentLocation%\install.log" /passive ALLUSERS="1"
