SELECT
	-- We are adding a trailing '0' for 1-digit week numbers,
	-- so we use the RIGHT function to remove it if was not
	-- needed because the week number had 2 digits.
	RIGHT
	(
		'0'
		-- Number of the week inside the year
		+ CAST(DATEPART(wk, [Microsoft_VSTS_Common_ClosedDate])
			AS VARCHAR)
		-- Separator
		+ '/'
		-- Year
		+ CAST(DATEPART(yyyy, [Microsoft_VSTS_Common_ClosedDate])
			AS VARCHAR)
		-- Maximum length of the returned value (format: WW/YYYY)
		, 7
	) AS [Week]
	-- Mean Time To Recover, in hours, per each week
	,AVG(
		DATEDIFF(hh, [Microsoft_VSTS_Common_ActivatedDate],
			[Microsoft_VSTS_Common_ClosedDate])
		)
		AS [MTTR in hours]
FROM
	[dbo].[CurrentWorkItemView]
WHERE
	[ProjectPath] = '\DefaultCollection\Iteration 3'
	AND [System_WorkItemType] = 'Bug'
	AND [System_State] = 'Closed'
GROUP BY
	-- Grouping by week and year to calculate the average
	DATEPART(wk, [Microsoft_VSTS_Common_ClosedDate]),
	DATEPART(yyyy, [Microsoft_VSTS_Common_ClosedDate])
ORDER BY
	-- Ordering by year and week number
	DATEPART(yyyy, [Microsoft_VSTS_Common_ClosedDate]),
	DATEPART(wk, [Microsoft_VSTS_Common_ClosedDate])
